/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#include "ArSessionStream.h"

namespace OpenVulkano::AR::Network
{
	ArSessionStream::ArSessionStream(const std::string& serverAddress, std::optional<ArSessionConfig> requestConfig)
			: ArSession({})
	{
		// TODO
	}

	void ArSessionStream::Start()
	{

	}

	void ArSessionStream::Stop()
	{
		OnStopped();
	}

	void ArSessionStream::Pause()
	{
		ArSession::Pause();
	}

	std::shared_ptr<ArFrame> ArSessionStream::GetFrame()
	{
		return nullptr;
	}

	ArType ArSessionStream::GetArType()
	{
		return GetCapabilities().GetArType();
	}
}
